<mat-card>
    <p *ngIf="(loading$  | async)">Loading...
    <mat-progress-spinner *ngIf="(loading$  | async)" class="example-margin" [color]="'primary'" 
    [mode]="'indeterminate'" diameter="20"></mat-progress-spinner>
    </p>
    
    
    <button mat-raised-button color="accent" (click)="newActivity()">New</button>
    
    
    <table mat-table [dataSource]="$any(activities$ | async)" class="mat-elevation-z8">
        <!-- Item Column -->
        <ng-container matColumnDef="code">
            <th mat-header-cell *matHeaderCellDef> Code </th>
            <td mat-cell *matCellDef="let activity"> {{activity.code}} </td>
    
        </ng-container>

        <ng-container matColumnDef="customer">
            <th mat-header-cell *matHeaderCellDef> Customer </th>
            <td mat-cell *matCellDef="let activity"> {{activity.customer }} </td>
    
        </ng-container>
    
        <!-- Cost Column -->
        <ng-container matColumnDef="description">
            <th mat-header-cell *matHeaderCellDef> Description </th>
            <td mat-cell *matCellDef="let activity"> {{activity.description }} </td>
    
        </ng-container>
    
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selectRow(row)"></tr>
    
    </table>
    </mat-card>
